%define upstream_name    CPS
%define upstream_version 0.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Iterate at some later point
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Future)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Identity)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Refcount)
BuildArch:  noarch

%description
Objects based on this abstract class are used by the 'gk*' variants of the
the CPS manpage functions, to control their behavior. These objects are
expected to provide a method, 'again', which the functions will use to
re-invoke iterations of loops, and so on. By providing a different
implementation of this method, governor objects can provide such behaviours
as rate-limiting, asynchronisation or parallelism, and integration with
event-based IO frameworks.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.180.0-6pclos2017
- rebuild against updates

